#!/bin/sh

if ! [ -e .distrodb/config ]; then
    echo "./.distrodb/config not found :("
    exit 1
fi
. .distrodb/config

if ! [ -d binary ]; then
    echo "./binary not found :("
    exit 1
fi

set -e

mkdistromapsrc=`dirname $0`/mkdistromap-source.pl
$mkdistromapsrc --origin $ORIGINREPO/$ORIGINBRANCH "$@" | sort > source/40-distrodb-new.txt
